# -*- coding: utf-8 -*-

from Components.config import config, ConfigSubsection, ConfigInteger, ConfigYesNo, ConfigSelection, ConfigSelectionNumber

#######################################################
# Initialize Configuration
config.plugins.updatecheck = ConfigSubsection()

config.plugins.updatecheck.enable_autocheck 		= ConfigSelection(choices=[("False",_("no")), ("update",_("Info nur bei Updates")), ("True",_("immer"))], default = "False")
config.plugins.updatecheck.popups_timeout 			= ConfigSelectionNumber(0, 20, 1, default = 15)
config.plugins.updatecheck.show_updatequestion	= ConfigYesNo(default = False)
config.plugins.updatecheck.updatequestion_defaultanswer	= ConfigSelection(choices=[("False",_("no")), ("True",_("yes"))], default = "False")
config.plugins.updatecheck.ignore_hold 		= ConfigYesNo(default = False)
config.plugins.updatecheck.update_timeout = ConfigSelectionNumber(5, 30, 5, default = 15)
config.plugins.updatecheck.updatecheck_delay = ConfigSelectionNumber(0, 30, 5, default = 5)
config.plugins.updatecheck.lastAutoCheck = ConfigInteger(default = 0, limits=(0,2000000000))
interval_options=[]
interval_options.append(( "0",_("always")))
interval_options.append(( "1","stndlich"))
interval_options.append(( "2","alle 6 Stunden"))
interval_options.append(( "3","alle 12 Stunden"))
interval_options.append(( "4",_("daily")))
interval_options.append(( "5",_("weekly")))
interval_options.append(( "6",_("monthly")))
config.plugins.updatecheck.autoCheck_interval = ConfigSelection(default = "2", choices=interval_options)
config.plugins.updatecheck.show_extmenu	= ConfigYesNo(default = False)
config.plugins.updatecheck.show_setup = ConfigSelection(choices=[("pbrowser",_("im PluginBrowsermen")), ("extmenu",_("im Erweiterungsmen")), ("both",_("in beiden Mens"))], default = "pbrowser")